Skip to main content
GET
/
v5
/
invoicing
/
invoices
Get invoices
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/invoicing/invoices \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "sendEmail": true,
      "id": 123,
      "apiInvoiceId": "1123144594",
      "clientId": 123,
      "date": "2023-12-25",
      "name": "<string>",
      "invoiceNo": 123,
      "invoicePrefix": "<string>",
      "totalAmount": 123,
      "discountAmount": 30,
      "discountPercent": 15,
      "term": "DUE_NOW",
      "dueDate": "2023-12-25",
      "email": "<string>",
      "ccEmails": [
        "<string>"
      ],
      "bccEmails": [
        "<string>"
      ],
      "personalNote": "Thank you for your business.",
      "frequency": "ONE_TIME",
      "status": "OPEN",
      "emailStatus": "SUCCESS",
      "sentDate": "2023-12-25",
      "lastViewedDate": "2023-12-25",
      "reminderSchedule": "ON_DUE_DATE",
      "lastCreatedRecurringInvoice": "2023-12-25",
      "parentId": 123,
      "isRecurringParent": true,
      "refundStatus": "PENDING",
      "invoicePaymentUrl": "<string>",
      "emailErrors": {},
      "acceptCash": true,
      "acceptCredit": true,
      "acceptACH": true,
      "customData": {},
      "payments": [
        {
          "invoiceId": 123,
          "bankAccountId": 123,
          "id": 123,
          "bankTransferId": 123,
          "apiName": "STRIPE",
          "apiPaymentId": "pi_3KX9F5KkMq1CsF5K00DChQgZ",
          "apiAccountNo": "<string>",
          "apiAccountName": "<string>",
          "apiInstitutionId": "<string>",
          "bankDescription": "<string>",
          "grossPaymentAmount": 300,
          "feePaymentAmount": 9,
          "amountApplied": 50.01,
          "paymentSource": "Visa *4747 Charge",
          "date": "2021-01-04",
          "status": "PROCESSED",
          "reviewStatus": "PARTNER_REVIEW_REQUIRED",
          "receiptUrl": "<string>",
          "errorMessage": "<string>",
          "customData": {},
          "v6EntityId": "<string>"
        }
      ],
      "balance": 123,
      "amountPaid": 123,
      "pendingAmountPaid": 123,
      "apiName": "USER_ENTRY",
      "v6Id": "inv_1123144594"
    }
  ],
  "lastUpdatedDate": "2023-11-07T05:31:56Z",
  "cursor": "<string>",
  "deletedIds": [
    123
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

cursor
string

Cursor from the previous paginated response

limit
integer<int32>

Page size, i.e. number of items to return per page

lastUpdatedDate
string

Date filter (YYYY-MM-DD) - returns all records updated after the specified date. Null returns all data

Query Parameters

includePayments
boolean

Whether payments associated with this invoice should be included in the response. Defaults to false.

status
enum<string>[]

Status filter - returns all invoices for the specified statuses. Null or empty list will default to OPEN, CLOSED, CANCELLED, DRAFT, REFUNDED and SCHEDULED.

Available options:
OPEN,
CLOSED,
CANCELLED,
DRAFT,
REFUNDED,
SCHEDULED

Response

200 - application/json

successful operation

data
object[]

The list of entities

lastUpdatedDate
string<date-time>

Date filter - to be used in your subsequent request

cursor
string

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.

deletedIds
integer<int32>[]

Ids of entities that no longer match the request's filter criteria since the request's lastUpdatedDate